
public class Poker implements Comparable<Poker> {
	
	private Suit suit;
	private Rank rank;
	
	public Suit getSuit() {
		return suit;
	}
	
	public Rank getRank() {
		return rank;
	}
	
	Poker(Suit suit, Rank rank) {
		this.suit = suit;
		this.rank = rank;
	}
	
	@Override
	public String toString() {
		return this.rank + " " + this.suit;
	}

	@Override
	public int compareTo(Poker that) {
		
		int r1 = this.rank.ordinal();
		int r2 = that.rank.ordinal();
		
		int s1 = this.suit.ordinal();
		int s2 = that.suit.ordinal();
		
		/*
		if (r1 - r2 < 0) {
			
			return -1;
			
		} else if (r1 - r2 == 0) {
			
			if (s1 - s2 < 0) {
				return -1;
			} else if (s1 - s2 == 0) {
				return 0;
			} else {
				return +1;
			}
			
		} else {
			
			return 1;
			
		}
		*/
		
		
		return r1 - r2 != 0 ? r1 - r2 : s1 - s2; 
		
	}
	
}

enum Suit { Club, Diamond, Heart, Spade }
enum Rank { three, four, five, six, seven, eight, nine, ten, J, Q, K, A, two }


